/*
DESCRIPTION:
Any functions that are used internally by the use-case
*/
package apmcuorder

import (
	e "simrs-vx/internal/domain/main-entities/ap-mcu-order"
)

func setData[T *e.CreateDto | *e.UpdateDto](input T, data *e.ApMcuOrder) {
	var inputSrc *e.CreateDto
	if inputT, ok := any(input).(*e.CreateDto); ok {
		inputSrc = inputT
	} else {
		inputTemp := any(input).(*e.UpdateDto)
		inputSrc = &inputTemp.CreateDto
	}

	data.Substances = inputSrc.Substances
	data.Fictations = inputSrc.Fictations
	data.Localization = inputSrc.Localization
	data.ClinicalDiagnoses = inputSrc.ClinicalDiagnoses
	data.Stadium = inputSrc.Stadium
	data.PastHistory = inputSrc.PastHistory
	data.CurrentHistory = inputSrc.CurrentHistory
}
